> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve project

> Returns a single project belonging to the current team




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /projects/{project_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Baselines (Preview)
    description: >-
      Preview. Available to teams with the `baselines_api` feature flag. The
      shape of these endpoints may change before general availability.
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Marketplace apps
  - name: Operating Systems
  - name: Plans
  - name: Public Networks
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /projects/{project_id}:
    get:
      tags:
        - Projects
      summary: Retrieve project
      description: |
        Returns a single project belonging to the current team
      operationId: get-project
      parameters:
        - name: project_id
          in: path
          required: true
          description: The project ID or Slug
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/project'
                  meta:
                    type: object
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.projects.get_project(project_id="<id>")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Projects.GetProject(ctx, \"<id>\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.projects.getProject({
                projectId: "<id>",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    project:
      type: object
      properties:
        id:
          type: string
          description: The project ID
        type:
          type: string
          enum:
            - projects
        attributes:
          type: object
          properties:
            tags:
              type: array
              description: The tags assigned to the project
              items:
                type: object
            name:
              type: string
              description: The project name
            slug:
              type: string
              description: A unique project identifier
            description:
              type: string
              nullable: true
              description: The project description
            billing_type:
              type: string
              nullable: true
              x-speakeasy-unknown-values: allow
              enum:
                - Yearly
                - Monthly
                - Hourly
                - Normal
                - Custom
            billing_method:
              type: string
              nullable: true
              x-speakeasy-unknown-values: allow
              enum:
                - Normal
                - 95th percentile
            cost:
              type: string
              nullable: true
            bandwidth_alert:
              type: boolean
              nullable: true
              description: Whether bandwidth quota alerts are enabled for the project
            environment:
              type: string
              nullable: true
              x-speakeasy-unknown-values: allow
              enum:
                - Development
                - Staging
                - Production
            provisioning_type:
              type: string
              nullable: true
              description: >-
                The project provisioning model, either on_demand (pay-as-you-go,
                hourly or monthly billing) or reserved (annual contract with
                yearly billing). Defaults to on_demand.
            stats:
              type: object
              properties:
                databases:
                  type: number
                  description: The number of database servers assigned to the project
                ip_addresses:
                  type: number
                  description: The number of IP addresses assigned to the project
                prefixes:
                  type: number
                  description: The IP address prefixes in the project
                servers:
                  type: number
                  description: The number of servers assigned to the project
                storages:
                  type: number
                  description: The number of storages assigned to the project
                virtual_machines:
                  type: number
                  description: >-
                    The number of active virtual machines assigned to the
                    project
                vlans:
                  type: number
                  description: The number of VLANs assigned to the project
            billing:
              type: object
              properties:
                subscription_id:
                  type: string
                type:
                  type: string
                method:
                  type: string
            team:
              $ref: '#/components/schemas/team_include'
            created_at:
              type: string
            updated_at:
              type: string
    team_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        address:
          type: string
          nullable: true
        currency:
          type: object
          properties:
            id:
              type: string
            code:
              type: string
            name:
              type: string
            currency_id:
              type: integer
              nullable: true
        status:
          type: string
          nullable: true
        feature_flags:
          type: array
          items:
            type: string
        limits:
          type: object
          properties:
            bare_metal:
              type: integer
              nullable: true
            bare_metal_gpu:
              type: integer
              nullable: true
            virtual_machine:
              type: integer
              nullable: true
            virtual_machine_gpu:
              type: integer
              nullable: true
            elastic_ip:
              type: integer
              nullable: true
            bgp_session_per_ip:
              type: integer
              nullable: true
            public_network:
              type: integer
              nullable: true
            virtual_network:
              type: integer
              nullable: true
            database:
              type: integer
              nullable: true
            filesystem:
              type: integer
              nullable: true
            block_storage:
              type: integer
              nullable: true
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````